com.google.cloud.dataflow.sdk.runners

## Interface DirectPipelineRunner.EvaluationResults

All Superinterfaces:
  PipelineResult

All Known Subinterfaces:
  DirectPipelineRunner.EvaluationContext

Enclosing class:
  DirectPipelineRunner

    public static interface DirectPipelineRunner.EvaluationResults
    extends PipelineResult

The interface provided to registered callbacks for interacting with the `DirectPipelineRunner`, including reading and writing the values of `PCollection`s and `PCollectionView`s.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.PipelineResult

`PipelineResult.State`

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> List<T>` `getPCollection(PCollection<T> pc)` Retrieves the value of the given PCollection.
`<T> List<List<T>>` `getPCollectionList(PCollectionList<T> pcs)` Retrieves the values of each PCollection in the given PCollectionList.
`<T,WindowedT> Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>>` `getPCollectionView(PCollectionView<T> view)` Retrieves the values indicated by the given `PCollectionView`.
`<T> List<com.google.cloud.dataflow.sdk.util.WindowedValue<T>>` `getPCollectionWindowedValues(PCollection<T> pc)` Retrieves the windowed value of the given PCollection.

### Methods inherited from interface com.google.cloud.dataflow.sdk.PipelineResult

`getAggregatorValues, getState`

### Method Detail

#### getPCollection

    <T> List<T> getPCollection(PCollection<T> pc)

Retrieves the value of the given PCollection. Throws an exception if the PCollection's value hasn't already been set.

#### getPCollectionWindowedValues

    <T> List<com.google.cloud.dataflow.sdk.util.WindowedValue<T>> getPCollectionWindowedValues(PCollection<T> pc)

Retrieves the windowed value of the given PCollection. Throws an exception if the PCollection's value hasn't already been set.

#### getPCollectionList

    <T> List<List<T>> getPCollectionList(PCollectionList<T> pcs)

Retrieves the values of each PCollection in the given PCollectionList. Throws an exception if the PCollectionList's value hasn't already been set.

#### getPCollectionView

    <T,WindowedT> Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>> getPCollectionView(PCollectionView<T> view)

Retrieves the values indicated by the given `PCollectionView`. Note that within the `DoFn.Context` implementation a `PCollectionView` should convert from this representation to a suitable side input value.